package com.compdfkit.demo.viewer;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;

import com.compdfkit.demo.viewer.databinding.CompdfkitViewerActivityMainBinding;
import com.compdfkit.tools.utils.FileUtilsExtension;

import java.io.File;

public class MainActivity extends AppCompatActivity {

    public static final String QUICK_START_GUIDE = "Quick Start Guide V2.4.0.pdf";


    private CompdfkitViewerActivityMainBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = CompdfkitViewerActivityMainBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());
        File pdfFilePath = new File(this.getCacheDir(), QUICK_START_GUIDE);
        FileUtilsExtension.copyFileFromAssets(this, QUICK_START_GUIDE, pdfFilePath.getParent(), QUICK_START_GUIDE);
        binding.pdfReaderView.openPDFFile(pdfFilePath.getAbsolutePath());

    }

}